추정 요청 크기 초과
이 문제가 발생하면 API는 422 Unprocessable Content 응답을 반환합니다. 이 오류의 type 값은 https://lingo.dev/docs/api/errors/estimate-too-large입니다. 모든 오류에 공통으로 적용되는 구조는 오류 및 상태 코드를 참고하세요.
추정 요청 하나에 입력할 수 있는 데이터는 최대 2바이트입니다. 요청을 더 작은 추정 요청으로 나누세요.
필드#
응답 본문에는 표준 멤버인 type, status, title, detail 외에도 다음 필드가 포함됩니다. detail 텍스트는 이 필드들을 바탕으로 생성되므로, 클라이언트에서 자체 문구를 대신 표시할 수 있습니다.
| 필드 | 유형 |
|---|---|
limit | integer |
measure | "bytes" | "sourceUnits" | "pendingTranslations" |
예시#
json
{
"detail": "An estimate supports at most 2 bytes of input. Split the request into smaller estimates.",
"limit": 2,
"measure": "bytes",
"type": "https://lingo.dev/docs/api/errors/estimate-too-large",
"status": 422,
"title": "Estimate too large"
}이 오류를 반환하는 엔드포인트#
POST /v2/organizations/{orgId}/localization/estimates